Skip to main content
POST
/
encryption-keys
Create an encryption key
curl --request POST \
  --url https://api.artie.com/encryption-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "kmsKeyUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "encryptionKey": {
    "name": "<string>",
    "type": "<string>",
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "kmsKeyUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "key": "<string>"
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Body

application/json
name
string
required
description
string
kmsKeyUUID
string<uuid> | null

Response

OK

encryptionKey
object
required
key
string
required